Subject: Re: Issue about RFC3595 - Textual Conventions for IPv6 Flow Label

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 1 Dec 2004 09:26:38 +0100

On Wed, Dec 01, 2004 at 10:07:17AM +0800, [email-masked] wrote:
 
> That is only my trivial suggestion of redefinition semantics for 0xFFFFF.
> After all, 0xFFFFF has been a valid value of flow label. Originally, I just
> think only 20-bits is enough.

The TC does not change flow label semantics. The value range of the 
IPv6FlowLabel TC is 0..1048575 which equals 0..0xfffff. The value 
range of the IPv6FlowLabelOrAny is -1 | 0..1048575, that is this 
TC adds a special value which is outside of the range of the 
possible flow label values. The encodings of -1 and 1048575 are
surely different in BER.
 
> To say the least, Flow label TC need really a wildcard?? In a application, 
> a wildcard could be represented by FlowLabelValue>0 or FlowLabelValue<>0.
> Thus, it may not redefine the semantics of "0-0xFFFFF".

If you define a filter which matches packet headers, it is usually a
good idea to have a wildcard value which says "do not match this
header". The IPv6FlowLabelOrAny TC is exactly for this purpose.

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------